%global __provides_exclude_from	%{_datadir}/doc/.*
%global __requires_exclude_from	%{_datadir}/doc/.*
%define _exclude_files_from_autoprov    %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%global basepy3dir              %(echo ../`basename %{py3dir}`)
%global with_html               0
%global run_tests               0

# the default backend; one of GTK GTKAgg GTKCairo GTK3Agg GTK3Cairo
# CocoaAgg MacOSX Qt4Agg Qt5Agg TkAgg WX WXAgg Agg Cairo GDK PS PDF SVG
%global backend                 TkAgg

%if "%{backend}" == "TkAgg"
%global backend_subpackage tk
%else
%  if "%{backend}" == "Qt4Agg"
%global backend_subpackage qt4
%  else
%    if "%{backend}" == "Qt5Agg"
%global backend_subpackage qt5
%    endif
%  endif
%endif

%global with_bundled_fonts      1

# Use the same directory of the main package for subpackage licence and docs
%global _docdir_fmt %{name}

Name:           python-matplotlib
Version:        1.5.1
Release:        %mkrel 8
Summary:        Python 2D plotting library
Group:          Development/Python
# qt4_editor backend is MIT
License:        Python and MIT
URL:            http://matplotlib.org
#Modified Sources to remove the bundled libraries
Source0:        matplotlib-%{version}-without-extern.tar.xz
Source1:        setup.cfg

#Patch0:         %{name}-noagg.patch
Patch2:         20_matplotlibrc_path_search_fix.patch
Patch5:         70_bts720549_try_StayPuft_for_xkcd.patch

BuildRequires:  freetype-devel
BuildRequires:  libpng-devel
BuildRequires:  qhull-devel
BuildRequires:  pythonegg(2)(six)
BuildRequires:  pythonegg(2)(numpy)
BuildRequires:  python-numpy-devel
BuildRequires:  pythonegg(2)(pyparsing)
BuildRequires:  pythonegg(2)(cxx)
BuildRequires:  pythonegg(2)(python-dateutil)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(pillow)
%if %{with_html}
BuildRequires:  ipython2
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(numpydoc)
BuildRequires:  pythonegg(2)(scikit-image)
BuildRequires:  pythonegg(2)(cycler)
%endif
%if %{run_tests}
BuildRequires:  pythonegg(2)(nose)
BuildRequires:  pythonegg(3)(nose)
%endif
BuildRequires:  python2-devel
BuildRequires:  pythonegg(2)(pytz)
BuildRequires:  x11-server-xvfb
BuildRequires:  zlib-devel

Provides:       bundled(agg) = 2.4
Provides:       bundled(ttconv)

Requires:       fonts-ttf-dejavu
Requires:       pythonegg(2)(six)
Requires:       pythonegg(2)(numpy)
Requires:       pythonegg(2)(pyparsing)
Requires:       pythonegg(2)(cycler)
Requires:       pythonegg(2)(python-dateutil)
Requires:       pythonegg(2)(pytz)
Requires:       pythonegg(2)(pillow)
Requires:       font(stixmath)
Requires:       %{name}-data = %{version}-%{release}


%description
Matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell, web application servers, and
six graphical user interface toolkits.

Matplotlib tries to make easy things easy and hard things possible.
You can generate plots, histograms, power spectra, bar charts,
errorcharts, scatterplots, etc, with just a few lines of code.


%package -n python-matplotlib-qt4
%{?python_provide:%python_provide python-matplotlib-qt4}
Summary:        Qt4 backend for python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib%{?_isa} = %{version}-%{release}
Requires:       python-matplotlib-qt5
BuildRequires:  python-qt4-devel
Requires:       python-qt4

%description -n python-matplotlib-qt4
%{summary}


%package -n python-matplotlib-qt5
%{?python_provide:%python_provide python-matplotlib-qt5}
Summary:        Qt5 backend for python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib%{?_isa} = %{version}-%{release}
BuildRequires:  python-qt5
Requires:       python-qt5

%description -n python-matplotlib-qt5
%{summary}


%package -n python-matplotlib-gtk
%{?python_provide:%python_provide python-matplotlib-gtk}
Summary:        GTK backend for python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib%{?_isa} = %{version}-%{release}
BuildRequires:  gtk2-devel
BuildRequires:  pygtk2.0-devel
BuildRequires:  python-cairo-devel
Requires:       python-cairo
Requires:       pygtk2.0

%description -n python-matplotlib-gtk
%{summary}


%package -n python-matplotlib-wx
%{?python_provide:%python_provide python-matplotlib-wx}
Summary:        wxPython backend for python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib%{?_isa} = %{version}-%{release}
BuildRequires:  libwxPythonGTK-devel
Requires:       wxPython

%description -n python-matplotlib-wx
%{summary}


%package -n python-matplotlib-gtk3
%{?python_provide:%python_provide python-matplotlib-gtk3}
Summary:        GTK3 backend for python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib%{?_isa} = %{version}-%{release}
# This should be converted to typelib(Gtk) when supported
BuildRequires:  gtk+3.0
Requires:       gtk+3.0%{?_isa}

%description -n python-matplotlib-gtk3
%{summary}


%package -n python-matplotlib-tk
%{?python_provide:%python_provide python-matplotlib-tk}
Summary:        Tk backend for python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib%{?_isa} = %{version}-%{release}
BuildRequires:  tcl-devel
BuildRequires:  tkinter
BuildRequires:  tk-devel
Requires:       tkinter

%description -n python-matplotlib-tk
%{summary}


%package -n python-matplotlib-doc
%{?python_provide:%python_provide python-matplotlib-doc}
Summary:        Documentation files for python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib%{?_isa} = %{version}-%{release}
%if %{with_html}
BuildRequires:  ipython3
BuildRequires:  python-sphinx
BuildRequires:  latex
BuildRequires:  graphviz
%endif

%description -n python-matplotlib-doc
%{summary}


%package -n python-matplotlib-data
%{?python_provide:%python_provide python-matplotlib-data}
Summary:        Data used by python-matplotlib
Group:          Development/Python
%if %{with_bundled_fonts}
Requires:       python-matplotlib-data-fonts = %{version}-%{release}
%endif
BuildArch:      noarch

%description -n python-matplotlib-data
%{summary}


%if %{with_bundled_fonts}
%package -n python-matplotlib-data-fonts
%{?python_provide:%python_provide python-matplotlib-data-fonts}
Summary:        Fonts used by python-matplotlib
Group:          Development/Python
Requires:       python-matplotlib-data = %{version}-%{release}
BuildArch:      noarch

%description -n python-matplotlib-data-fonts
%{summary}
%endif


%package -n     python3-matplotlib
%{?python_provide:%python_provide python3-matplotlib}
Summary:        Python 2D plotting library
Group:          Development/Python
BuildRequires:  pythonegg(3)(pycairo) 
BuildRequires:  pythonegg(3)(python-dateutil)
BuildRequires:  python3-devel
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(pygobject)
BuildRequires:  pythonegg(3)(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  pythonegg(3)(cxx)
BuildRequires:  pythonegg(3)(pyparsing)
BuildRequires:  pythonegg(3)(pytz)
BuildRequires:  pythonegg(3)(six)
BuildRequires:  pythonegg(3)(cycler)
BuildRequires:  pythonegg(3)(pillow)
Requires:       pythonegg(3)(six)
Requires:       pythonegg(3)(numpy)
Requires:       pythonegg(3)(pycairo) 
Requires:       pythonegg(3)(pyparsing)
Requires:       pythonegg(3)(cycler)
Requires:       pythonegg(3)(python-dateutil)
Requires:       pythonegg(3)(pytz)
Requires:       pythonegg(3)(pillow)
Requires:       fonts-ttf-dejavu
Requires:       font(stixmath)
Requires:       %{name}-data = %{version}-%{release}

Requires: python3-matplotlib-%{?backend_subpackage}%{!?backend_subpackage:tk}%{?_isa} = %{version}-%{release}


%description -n python3-matplotlib
Matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell, web application servers, and
six graphical user interface toolkits.

Matplotlib tries to make easy things easy and hard things possible.
You can generate plots, histograms, power spectra, bar charts,
errorcharts, scatterplots, etc, with just a few lines of code.


%package -n     python3-matplotlib-qt4
%{?python_provide:%python_provide python3-matplotlib-qt4}
Summary:        Qt4 backend for python3-matplotlib
Group:          Development/Python
Requires:       python3-matplotlib%{?_isa} = %{version}-%{release}
Requires:       python3-matplotlib-qt5
BuildRequires:  python3-qt4-devel
Requires:       python3-qt4

%description -n python3-matplotlib-qt4
%{summary}


%package -n     python3-matplotlib-qt5
%{?python_provide:%python_provide python3-matplotlib-qt5}
Summary:        Qt5 backend for python3-matplotlib
Group:          Development/Python
Requires:       python3-matplotlib%{?_isa} = %{version}-%{release}
BuildRequires:  python3-qt5
Requires:       python3-qt5

%description -n python3-matplotlib-qt5
%{summary}


# gtk2 never worked in Python 3 afaict, so no need for -gtk subpackage
%package -n     python3-matplotlib-gtk3
%{?python_provide:%python_provide python3-matplotlib-gtk3}
Summary:        GTK3 backend for python3-matplotlib
Group:          Development/Python
Requires:       python3-matplotlib%{?_isa} = %{version}-%{release}
# This should be converted to typelib(Gtk) when supported
BuildRequires:  gtk+3.0
BuildRequires:  python3-gobject3
Requires:       gtk+3.0%{?_isa}
Requires:       python3-gobject3%{?_isa}

%description -n python3-matplotlib-gtk3
%{summary}


%package -n     python3-matplotlib-tk
%{?python_provide:%python_provide python3-matplotlib-tk}
Summary:        Tk backend for python3-matplotlib
Group:          Development/Python
Requires:       python3-matplotlib%{?_isa} = %{version}-%{release}
BuildRequires:  python3-tkinter
Requires:       python3-tkinter

%description -n python3-matplotlib-tk
%{summary}


%prep
%setup -q -n matplotlib-%{version}

# Copy setup.cfg to the builddir
sed 's/\(backend = \).*/\1%{backend}/' >setup.cfg <%{SOURCE1}

# Keep this until next version, and increment if changing from
# USE_FONTCONFIG to False or True so that cache is regenerated
# if updated from a version enabling fontconfig to one not
# enabling it, or vice versa
if [ %{version} = 1.4.3 ]; then
    sed -i 's/\(__version__ = 101\)/\1.1/' lib/matplotlib/font_manager.py
fi

%if !%{with_bundled_fonts}
# Use fontconfig by default
sed -i 's/\(USE_FONTCONFIG = \)False/\1True/' lib/matplotlib/font_manager.py
%endif

%patch2 -p1
%patch5 -p1

chmod -x lib/matplotlib/mpl-data/images/*.svg


%build
MPLCONFIGDIR=$PWD \
MATPLOTLIBDATA=$PWD/lib/matplotlib/mpl-data \
  %py2_build

%if %{with_html}
# Need to make built matplotlib libs available for the sphinx extensions:
pushd doc
    MPLCONFIGDIR=$PWD/.. \
    MATPLOTLIBDATA=$PWD/../lib/matplotlib/mpl-data \
    PYTHONPATH=`realpath ../build/lib.linux*` \
        %{__python2} make.py html
popd
%endif
# Ensure all example files are non-executable so that the -doc
# package doesn't drag in dependencies
find examples -name '*.py' -exec chmod a-x '{}' \;

MPLCONFIGDIR=$PWD \
MATPLOTLIBDATA=$PWD/lib/matplotlib/mpl-data \
  %py3_build
# documentation cannot be built with python3 due to syntax errors
# and building with python 2 exits with cryptic error messages


%install
MPLCONFIGDIR=$PWD \
MATPLOTLIBDATA=$PWD/lib/matplotlib/mpl-data/ \
  %py2_install

chmod +x %{buildroot}%{python2_sitearch}/matplotlib/dates.py
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_datadir}/matplotlib
mv %{buildroot}%{python2_sitearch}/matplotlib/mpl-data/matplotlibrc \
   %{buildroot}%{_sysconfdir}
mv %{buildroot}%{python2_sitearch}/matplotlib/mpl-data \
   %{buildroot}%{_datadir}/matplotlib
%if !%{with_bundled_fonts}
rm -rf %{buildroot}%{_datadir}/matplotlib/mpl-data/fonts
%endif

MPLCONFIGDIR=$PWD/.. \
MATPLOTLIBDATA=$PWD/../lib/matplotlib/mpl-data/ \
    %py3_install

chmod +x %{buildroot}%{python3_sitearch}/matplotlib/dates.py
rm -fr %{buildroot}%{python3_sitearch}/matplotlib/mpl-data
rm -f %{buildroot}%{python3_sitearch}/six.py


%if %{run_tests}
%check
# This should match the default backend
echo "backend      : %{backend}" > matplotlibrc
MPLCONFIGDIR=$PWD \
MATPLOTLIBDATA=%{buildroot}%{_datadir}/matplotlib/mpl-data \
PYTHONPATH=%{buildroot}%{python2_sitearch} \
     xvfb-run %{__python2} -c "import matplotlib; matplotlib.test()"

MPLCONFIGDIR=$PWD \
MATPLOTLIBDATA=%{buildroot}%{_datadir}/matplotlib/mpl-data \
PYTHONPATH=%{buildroot}%{python3_sitearch} \
     xvfb-run %{__python3} -c "import matplotlib; matplotlib.test()"
%endif # run_tests


%files -n python-matplotlib
%license LICENSE/
%doc CONTRIBUTING.md
%doc CHANGELOG
%doc README.rst
%{python2_sitearch}/*egg-info
%{python2_sitearch}/matplotlib-*-nspkg.pth
%{python2_sitearch}/matplotlib/
%{python2_sitearch}/mpl_toolkits/
%{python2_sitearch}/pylab.py*
%exclude %{python2_sitearch}/matplotlib/backends/backend_qt4*
%exclude %{python2_sitearch}/matplotlib/backends/backend_qt5*
%exclude %{python2_sitearch}/matplotlib/backends/backend_gtk*
%exclude %{python2_sitearch}/matplotlib/backends/_gtkagg.*
%exclude %{python2_sitearch}/matplotlib/backends/backend_tkagg.*
%exclude %{python2_sitearch}/matplotlib/backends/tkagg.*
%exclude %{python2_sitearch}/matplotlib/backends/_tkagg.so
%exclude %{python2_sitearch}/matplotlib/backends/backend_wx.*
%exclude %{python2_sitearch}/matplotlib/backends/backend_wxagg.*
%exclude /%{_pkgdocdir}/*/*


%files -n python-matplotlib-qt4
%{python2_sitearch}/matplotlib/backends/backend_qt4.*
%{python2_sitearch}/matplotlib/backends/backend_qt4agg.*


%files -n python-matplotlib-qt5
%{python2_sitearch}/matplotlib/backends/backend_qt5.*
%{python2_sitearch}/matplotlib/backends/backend_qt5agg.*


%files -n python-matplotlib-gtk
%{python2_sitearch}/matplotlib/backends/backend_gtk.py*
%{python2_sitearch}/matplotlib/backends/backend_gtkagg.py*
%{python2_sitearch}/matplotlib/backends/backend_gtkcairo.py*
%{python2_sitearch}/matplotlib/backends/_gtkagg.so


%files -n python-matplotlib-wx
%{python2_sitearch}/matplotlib/backends/backend_wx.*
%{python2_sitearch}/matplotlib/backends/backend_wxagg.*


%files -n python-matplotlib-gtk3
%{python2_sitearch}/matplotlib/backends/backend_gtk3*.py*


%files -n python-matplotlib-tk
%{python2_sitearch}/matplotlib/backends/backend_tkagg.py*
%{python2_sitearch}/matplotlib/backends/tkagg.py*
%{python2_sitearch}/matplotlib/backends/_tkagg.so


%files -n python-matplotlib-doc
%doc examples
%if %{with_html}
%doc doc/build/html/*
%endif


%files -n python-matplotlib-data
%{_sysconfdir}/matplotlibrc
%{_datadir}/matplotlib/mpl-data/
%if %{with_bundled_fonts}
%exclude %{_datadir}/matplotlib/mpl-data/fonts/
%endif

%if %{with_bundled_fonts}
%files -n python-matplotlib-data-fonts
%{_datadir}/matplotlib/mpl-data/fonts/
%endif


%files -n python3-matplotlib
%license LICENSE/
%doc CONTRIBUTING.md
%doc CHANGELOG
%doc README.rst
%{python3_sitearch}/*egg-info
%{python3_sitearch}/matplotlib-*-nspkg.pth
%{python3_sitearch}/matplotlib/
%{python3_sitearch}/mpl_toolkits/
%{python3_sitearch}/pylab.py*
%{python3_sitearch}/__pycache__/*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4*
%exclude %{python3_sitearch}/matplotlib/backends/__pycache__/backend_qt4*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt5*
%exclude %{python3_sitearch}/matplotlib/backends/__pycache__/backend_qt5*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk*
%exclude %{python3_sitearch}/matplotlib/backends/__pycache__/backend_gtk*
%exclude %{python3_sitearch}/matplotlib/backends/backend_tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/__pycache__/backend_tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/__pycache__/tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/_tkagg.*
%exclude /%{_pkgdocdir}/*/*


%files -n python3-matplotlib-qt4
%{python3_sitearch}/matplotlib/backends/backend_qt4.*
%{python3_sitearch}/matplotlib/backends/__pycache__/backend_qt4.*
%{python3_sitearch}/matplotlib/backends/backend_qt4agg.*
%{python3_sitearch}/matplotlib/backends/__pycache__/backend_qt4agg.*


%files -n python3-matplotlib-qt5
%{python3_sitearch}/matplotlib/backends/backend_qt5.*
%{python3_sitearch}/matplotlib/backends/__pycache__/backend_qt5.*
%{python3_sitearch}/matplotlib/backends/backend_qt5agg.*
%{python3_sitearch}/matplotlib/backends/__pycache__/backend_qt5agg.*


%files -n python3-matplotlib-gtk3
%{python3_sitearch}/matplotlib/backends/backend_gtk*
%{python3_sitearch}/matplotlib/backends/__pycache__/backend_gtk*


%files -n python3-matplotlib-tk
%{python3_sitearch}/matplotlib/backends/backend_tkagg.py*
%{python3_sitearch}/matplotlib/backends/__pycache__/backend_tkagg.*
%{python3_sitearch}/matplotlib/backends/tkagg.*
%{python3_sitearch}/matplotlib/backends/__pycache__/tkagg.*
%{python3_sitearch}/matplotlib/backends/_tkagg.*


%changelog
* Wed Apr 19 2017 wally <wally> 1.5.1-8.mga6
+ Revision: 1096831
- fix python-matplotlib-gtk requires (don't pull python3 pkgs)

* Fri Apr 29 2016 philippem <philippem> 1.5.1-7.mga6
+ Revision: 1007673
- bump release to fix wrong groups
- fix wrong group
- fix wrong group
- clean spec, re enable wx

* Wed Apr 27 2016 philippem <philippem> 1.5.1-5.mga6
+ Revision: 1006977
- move requires from description to a better place

* Sun Apr 24 2016 joequant <joequant> 1.5.1-4.mga6
+ Revision: 1005820
- fix requires

* Sun Apr 24 2016 joequant <joequant> 1.5.1-3.mga6
+ Revision: 1005812
- rebuild without xvfb
- remove vfb for build
- add numpy devel
- upgrade to 1.5.1

* Tue Feb 16 2016 umeabot <umeabot> 1.4.3-7.mga6
+ Revision: 962242
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 joequant <joequant> 1.4.3-6.mga6
+ Revision: 898393
- rebuild with numpy 1.10

* Wed Oct 07 2015 tv <tv> 1.4.3-5.mga6
+ Revision: 886969
- rebuild for python 3.5

  + joequant <joequant>
    - rebuild with tk 8.6
    - switch recommends tk back to requires to avoid breaking default config

* Mon Jul 20 2015 joequant <joequant> 1.4.3-1.mga6
+ Revision: 855645
- upgrade to 1.4.3

* Mon Jul 20 2015 joequant <joequant> 1.4.0-12.mga6
+ Revision: 855641
- check backends to suggests

* Mon Jul 20 2015 joequant <joequant> 1.4.0-11.mga6
+ Revision: 855616
- check backend requires to suggests

* Mon Feb 02 2015 joequant <joequant> 1.4.0-10.mga5
+ Revision: 813086
- add vera fonts to python3 version

* Sun Feb 01 2015 joequant <joequant> 1.4.0-9.mga5
+ Revision: 812951
- add vera fonts

* Thu Dec 18 2014 joequant <joequant> 1.4.0-8.mga5
+ Revision: 803919
- include fedora patchs.  make it work without qt5

* Tue Dec 02 2014 philippem <philippem> 1.4.0-7.mga5
+ Revision: 800359
- remove wrong dependency on python-pyxml

* Fri Oct 31 2014 joequant <joequant> 1.4.0-6.mga5
+ Revision: 795013
- use tkagg as default and remove unneeded backends

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 741344
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.0-4.mga5
+ Revision: 729021
- rebuild for missing pythoneggs deps
- auto convert _exclude_files_from_autoreq

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Sep 13 2014 philippem <philippem> 1.4.0-2.mga5
+ Revision: 675153
- fixing requires and BR

* Tue Sep 09 2014 philippem <philippem> 1.4.0-1.mga5
+ Revision: 674450
- fixe file list, add missing BR
- matplotlib need python-qt5
- update to 1.4.0

* Sat May 31 2014 pterjan <pterjan> 1.3.1-3.mga5
+ Revision: 628782
- Rebuild for new Python

* Fri Apr 25 2014 philippem <philippem> 1.3.1-2.mga5
+ Revision: 618096
- fix missing BR on python3-numpy-devel

* Sun Mar 16 2014 philippem <philippem> 1.3.1-1.mga5
+ Revision: 604266
- Update to 1.3.1

* Sat Nov 02 2013 fwang <fwang> 1.3.0-7.mga4
+ Revision: 548949
- filter correctly
- add requires

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-6.mga4
+ Revision: 543865
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-5.mga4
+ Revision: 498899
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 1.3.0-4.mga4
+ Revision: 490539
+ rebuild (emptylog)

* Wed Sep 11 2013 joequant <joequant> 1.3.0-3.mga4
+ Revision: 477699
- add pyparsing which is required by matplotlib

* Sat Sep 07 2013 philippem <philippem> 1.3.0-2.mga4
+ Revision: 475676
- add matplotlib_UnicodeDecodeError.patch to fix mga#11128
- add requires on matplotlib-qt4 to fix mga#11131

* Wed Aug 28 2013 philippem <philippem> 1.3.0-1.mga4
+ Revision: 472699
- drop tk patch (upstream solved build issue differently)
- obsolete emf and fltk backends no longer provided upstream
- review file list
- disable build html doc
- disable build html doc
- Try to build without xvfb-run to see if it solve the dbus problem
- update to 1.3.0

* Thu Jul 04 2013 philippem <philippem> 1.2.0-4.mga4
+ Revision: 450088
- add Python 3

* Mon Jun 03 2013 fwang <fwang> 1.2.0-3.mga4
+ Revision: 436071
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 379123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 1.2.0-1.mga3
+ Revision: 334342
- Update to 1.2.0

* Sun Oct 07 2012 philippem <philippem> 1.1.1-1.mga3
+ Revision: 303208
- Update to 1.1.1

* Fri Oct 21 2011 philippem <philippem> 1.1.0-1.mga2
+ Revision: 157235
- Update to 1.1.0

* Tue Sep 20 2011 fwang <fwang> 1.0.1-4.mga2
+ Revision: 145920
- fix build with latest libpng
- rebuild for new libpng
- br agg
- add debian patch to fix tkinter version detection
- sync with fedora package
- rebuild for new tcl

* Mon Apr 25 2011 grenoya <grenoya> 1.0.1-2.mga1
+ Revision: 90209
- increase release
- remove python-matplotlib-qt subpackage

* Sun Apr 24 2011 grenoya <grenoya> 1.0.1-1.mga1
+ Revision: 90115
- remove python-qt from buildrequires
- imported package python-matplotlib


* Fri Jan 07 2011 Lev Givon <lev@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 629185
- Update to 1.0.1.

* Thu Nov 04 2010 Paulo Andrade <pcpa@mandriva.com.br> 1.0.0-6mdv2011.0
+ Revision: 593527
+ rebuild (emptylog)

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 1.0.0-5mdv2011.0
+ Revision: 592431
- rebuild for python 2.7

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - rebuild for new python 2.7

  + Thierry Vignaud <tv@mandriva.org>
    - make doc subpackage noarch

* Tue Sep 07 2010 Lev Givon <lev@mandriva.org> 1.0.0-2mdv2011.0
+ Revision: 576692
- Bump release to force rebuild.

* Mon Jul 19 2010 Lev Givon <lev@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 555007
- Update to 1.0.0.

* Mon May 31 2010 Lev Givon <lev@mandriva.org> 0.99.3-1mdv2010.1
+ Revision: 546714
- Update to 0.99.3.

* Sun May 02 2010 Lev Givon <lev@mandriva.org> 0.99.1.2-4mdv2010.1
+ Revision: 541674
- Make main package require installation of gtk backend (#59044).

* Sat Apr 10 2010 Lev Givon <lev@mandriva.org> 0.99.1.2-3mdv2010.1
+ Revision: 533535
- Put docs in a separate package (#58679).

* Sun Jan 10 2010 Lev Givon <lev@mandriva.org> 0.99.1.2-2mdv2010.1
+ Revision: 488922
- Spin off backends with special installation dependencies
  to separate packages (#50278).

* Fri Dec 18 2009 Lev Givon <lev@mandriva.org> 0.99.1.2-1mdv2010.1
+ Revision: 479862
- Update to 0.99.1.2.

* Mon Oct 12 2009 Funda Wang <fwang@mandriva.org> 0.99.1-4mdv2010.0
+ Revision: 456749
- rebuild

* Wed Oct 07 2009 Lev Givon <lev@mandriva.org> 0.99.1-3mdv2010.0
+ Revision: 455814
- Require python-qt, python-qt4.
  Rebuild against new python-qt4.

* Wed Sep 23 2009 Lev Givon <lev@mandriva.org> 0.99.1-2mdv2010.0
+ Revision: 447968
- Use updated tarball that does not contain a spurious setup.cfg file.

* Wed Sep 23 2009 Lev Givon <lev@mandriva.org> 0.99.1-1mdv2010.0
+ Revision: 447593
- Update to 0.99.1.

* Mon Aug 10 2009 Lev Givon <lev@mandriva.org> 0.99.0-2mdv2010.0
+ Revision: 414467
- Build docs as html.

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.99.0-1mdv2010.0
+ Revision: 411742
- Update to new version 0.99.0
- Remove literal patch: not needed anymore

* Tue May 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.98.5.3-2mdv2010.0
+ Revision: 377417
- Rebuild without dependency on python-enthought-traits.

* Mon Feb 09 2009 Lev Givon <lev@mandriva.org> 0.98.5.3-1mdv2009.1
+ Revision: 338955
- Update to 0.98.5.3.

* Wed Dec 31 2008 Adam Williamson <awilliamson@mandriva.org> 0.98.5.2-2mdv2009.1
+ Revision: 321619
- rebuild for python 2.6
- clean up python requires
- add literal.patch (fix a string literal error)

* Fri Dec 19 2008 Lev Givon <lev@mandriva.org> 0.98.5.2-1mdv2009.1
+ Revision: 316008
- Update to 0.98.5.2.

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 0.98.5-1mdv2009.1
+ Revision: 313694
- Update to 0.98.5.

* Wed Dec 10 2008 Lev Givon <lev@mandriva.org> 0.98.4-1mdv2009.1
+ Revision: 312592
- Update to 0.98.4.

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.98.3-3mdv2009.1
+ Revision: 311038
- rebuild for new tcl
- small cleanup

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 0.98.3-2mdv2009.1
+ Revision: 298971
- Remove python-enthought-traits-ui dependency
  (no longer needed after upgrade to traits 3).

* Thu Aug 07 2008 Lev Givon <lev@mandriva.org> 0.98.3-1mdv2009.0
+ Revision: 266422
- Update to 0.98.3.
  Build user manual directly from source.

* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 0.98.2-3mdv2009.0
+ Revision: 237778
- Add traits dependencies.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 0.98.2-2mdv2009.0
+ Revision: 233825
- Add python-pytz and python-dateutil dependencies.
- Update to 0.98.2.
- Update to 0.98.1.

* Sun Jun 01 2008 Lev Givon <lev@mandriva.org> 0.98.0-1mdv2009.0
+ Revision: 214132
- Update to 0.98.0.

* Wed Mar 19 2008 Lev Givon <lev@mandriva.org> 0.91.2-2mdv2008.1
+ Revision: 188792
- Add python-config dependency (39041).

* Wed Jan 09 2008 Lev Givon <lev@mandriva.org> 0.91.2-1mdv2008.1
+ Revision: 147007
- Update to 0.91.2.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Lev Givon <lev@mandriva.org> 0.91.1-2mdv2008.1
+ Revision: 116031
- Replace my patch with the one from the matplotlib developers.

* Wed Dec 05 2007 Lev Givon <lev@mandriva.org> 0.91.1-1mdv2008.1
+ Revision: 115740
- Update to 0.91.1.
  Add patch to fix matplotlib bug 1845057.

* Wed Nov 21 2007 Lev Givon <lev@mandriva.org> 0.90.1-2mdv2008.1
+ Revision: 111043
- Clean up build requirements.

* Sun Jun 03 2007 Lev Givon <lev@mandriva.org> 0.90.1-1mdv2008.0
+ Revision: 34938
- Update to 0.90.1.
  Tweak build deps.


* Mon Mar 19 2007 Lev Givon <lev@mandriva.org> 0.90.0-2mdv2007.1
+ Revision: 146366
- Add user manual.

* Wed Feb 07 2007 Lev Givon <lev@mandriva.org> 0.90.0-1mdv2007.1
+ Revision: 117115
- Update to 0.90.0.

* Fri Jan 26 2007 Lev Givon <lev@mandriva.org> 0.87.7-3mdv2007.1
+ Revision: 114197
- Improve dependency information.

* Sun Dec 10 2006 Lev Givon <lev@mandriva.org> 0.87.7-2mdv2007.1
+ Revision: 94418
- Bump release to force rebuild with Python 2.5.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.7-1mdv2007.1
+ Revision: 75080
- Update to 0.87.7.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.6-2mdv2007.1
+ Revision: 75024
- Raise release number to placate build system.
- Update to 0.87.6.
- Import python-matplotlib

* Mon Jul 17 2006 Lev Givon <lev@mandriva.org> 0.87.4-2mdk
- Rebuild against python-numpy 1.0b1.

* Mon Jul 17 2006 Lev Givon <lev@mandriva.org> 0.87.4-1mdk
- Update version.

* Tue Jun 13 2006 Lev Givon <lev@mandriva.org> 0.87.3-1mdk
- Update version.

* Tue Mar 28 2006 Lev Givon <lev@mandriva.org> 0.87.2-3mdk
- add mpl3d module

* Fri Mar 24 2006 Lev Givon <lev@mandriva.org> 0.87.2-2mdk
- make buildreqs backward compatible

* Sun Mar 19 2006 Lev Givon <lev@mandriva.org> 0.87.2-1mdk
- upgrade to 0.87.2
- add numpy dependency

* Fri Feb 03 2006 Lev Givon <lev@mandriva.org> 0.86.2-1mdk
- upgrade to 0.86.2
- fix installation datapath

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.85-1mdk
- 0.85
- fix deps

* Mon Aug 01 2005 Lev Givon <lev@mandriva.org> 0.83.2-1mdk
- upgrade to 0.83.2

* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 0.82-5mdk
- add examples (Lev Givon)
- add Python license to satisfy rpmlint

* Fri Jul 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-4mdk
- fix buildrequires

* Wed Jul 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-3mdk
- fix requres

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-2mdk
- blah, fix buildrequires

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-1mdk
- inital release

